Subject: (iso14766.36) Comments on 14766 WD4

From: "D. J. Blackwood" <[email-masked]>
Date: Wed, 26 Jul 2000 15:13:46 -0400

> The following, primarily editorial comments are offered on the 14766 WD4 as
> distributed July 24, 2000 in PDF format:
> 
> Rename section 1 "Overview" and move existing text to a new section "1.1
> Scope".  Additional text (essentially an executive summary) may be added to
> a future section 1.2.  In the absence of this text leave 2.2 out of the
> document for now.

The current clause names are required by ISO, and cannot be changed.
However, some of the text can be added to the introduction clause,
when that is provided.

> Merge sections 2 and 3 into a single section 2 titled "General" and renumber
> all subsequent sections and related cross-references.

Clause 2 and 3 are also standard ISO clauses, and they cannot be changed.

> Move section 3 "References" to section "2.1 Normative References".

The technical report is not normative, and cannot contain normative
references. It is a guide.

> On page 4, renumber and rename section 2 "Conformance and testing" to be
> "2.2 Conformance" and replace the first paragraph and the Editor's note with
> the following:
> 
> "In accordance with the precedent of ISO/IEC 14252: 1995 (*) , it is not
> appropriate to claim conformance to this Technical Report because it
> contains no mandatory requirements. Thus conformance testing to this
> Technical Report is not applicable."

OK

> and add the footnote:
> 
> "(*) For information on references, see 3."
> 
> The asterisk (*) should be replaced by the appropriate footnote number.

Why do we need a footnote here? This is not normal way in an ISO
document to reference other standards. The normal practise is just to
write the name of the standard, and then you go to the references
if you want the full title etc.

> Immediately following the above insert a section "2.3 Methods" and add the
> following text:
> 
> "Test methods are not applicable to a Technical Report."

OK.

> Leave the final two paragraphs in the current section 2 related to testing
> profiles and locales as paragraphs 2 and 3 in this new section 2.3.

OK. 

> Rename section 4 to Terminology" and renumber it section 3.  Add a new
> section, "3.1 Conventions".  In this section describe the specific editorial
> and typographical conventions used in the document, including any specific
> fonts used such as in section 7.  Add new sections 3.2 "Definitions", 3.2.1
> "Terms", and 3.2.2 "Acronyms and Abbreviations".  Renumber the various terms
> 3.2.1.x and acronyms and abbreviations 3.2.2.x as appropriate.  Any
> definitions taken from other documents should include a reference to the
> originating document.  For example, ISO/IEC 14252: 1995 defines the term
> "locale(s)", therefore this document should use the same definition of
> locale(s) and include the reference "(ISO/IEC 14252: 1995)" at the end of
> the definition.

This is not ISO style. I am strictly following ISO writing directives
here and the text is fully in accordance with that.

> On page 10 remove section 6.5 and the editorial note following and renumber
> all subsequent sections and related cross-references.  Is the correct title
> for section 6.4 the one used in 6.4 or the one used in 6.5?

OK. I liked the 6.5 title better.

> Please provide access to Annexes A, B, F, and G via the iso14766 web page.
> It would be useful to be able to piece together a complete document
> including these annexes.

OK, but that would not be part of the ballotted text, and will only
be available later.

> Additional comments will follow.
> 
> Dave
--
D. J. Blackwood, Chair
Canadian POSIX Working Group